C	SAO_DEFAULT_VLT
C
C       This include file contains the most commonly used colors which
C  are then loaded into SAOimage when plotting is to be done on that device.
C  If COLORMODE is called to use a particular color, SAO searches the list
C  to see if that color has already been loaded.  If a new color is not in
C  the list, SAO will add the color and resend the list to SAOimage.  The
C  colors listed below are mostly X window color names except for the ones
C  followed by *.
C
C				Donald H. Gudehus, October 17, 1994
C
	INTEGER SAO_VLT_COLORS(200)  ! 200 allowable colors for 
				     ! SAOimage
C
	DATA N_SAO_VLT_COLORS/73/  ! Current number.  Increase this as 
				   ! new colors are added.
C
	SAO_VLT_COLORS(1)=0		! Black (for the background)
	SAO_VLT_COLORS(2)=8388564	! Aquamarine
	SAO_VLT_COLORS(3)=15794175	! Azure
	SAO_VLT_COLORS(4)=255		! Blue
	SAO_VLT_COLORS(5)=9055202	! Blue Violet
	SAO_VLT_COLORS(6)=10824234	! Brown
	SAO_VLT_COLORS(7)=7811840	! Brown *
	SAO_VLT_COLORS(8)=13789470	! Chocolate
	SAO_VLT_COLORS(9)=6591981	! Cornflower Blue
	SAO_VLT_COLORS(10)=65535	! Cyan
	SAO_VLT_COLORS(11)=8943581	! Dark azure *
	SAO_VLT_COLORS(12)=12433259	! Dark Khaki
	SAO_VLT_COLORS(13)=5597999	! Dark olive green
	SAO_VLT_COLORS(14)=4465152	! Dark olive *
	SAO_VLT_COLORS(15)=16747520	! Dark orange
	SAO_VLT_COLORS(16)=9699539	! Dark violet
	SAO_VLT_COLORS(17)=49151	! Deep sky blue
	SAO_VLT_COLORS(18)=4456499	! Deep violet *
	SAO_VLT_COLORS(19)=16716947	! Deep pink
	SAO_VLT_COLORS(20)=2263842	! Forest green
	SAO_VLT_COLORS(21)=16766720	! Gold 1
	SAO_VLT_COLORS(22)=1118481	! Gray *
	SAO_VLT_COLORS(23)=2236962	! Gray
	SAO_VLT_COLORS(24)=3355443	! Gray
	SAO_VLT_COLORS(25)=4473924	! Gray
	SAO_VLT_COLORS(26)=5592405	! Gray
	SAO_VLT_COLORS(27)=6710886	! Gray
	SAO_VLT_COLORS(28)=7829367	! Gray
	SAO_VLT_COLORS(29)=8947848	! Gray
	SAO_VLT_COLORS(30)=10066329	! Gray
	SAO_VLT_COLORS(31)=11184810	! Gray
	SAO_VLT_COLORS(32)=12303291	! Gray
	SAO_VLT_COLORS(33)=13421772	! Gray
	SAO_VLT_COLORS(34)=14540253	! Gray
	SAO_VLT_COLORS(35)=15658734	! Gray
	SAO_VLT_COLORS(36)=16777215	! Gray (white)
	SAO_VLT_COLORS(37)=65280	! Green 
	SAO_VLT_COLORS(38)=11403055	! Green yellow 
	SAO_VLT_COLORS(39)=10061960	! Light brown *
	SAO_VLT_COLORS(40)=8900346	! Light sky blue
	SAO_VLT_COLORS(41)=8679679	! Light slate blue
	SAO_VLT_COLORS(42)=16711935	! Magenta
	SAO_VLT_COLORS(43)=11546720	! Maroon
	SAO_VLT_COLORS(44)=16760120	! Medium goldenrod
	SAO_VLT_COLORS(45)=64154	! Medium Spring Green
	SAO_VLT_COLORS(46)=13047173	! Medium Violet Red
	SAO_VLT_COLORS(47)=16770229	! Moccasin
	SAO_VLT_COLORS(48)=7820561	! Olive *
	SAO_VLT_COLORS(49)=16753920	! Orange
	SAO_VLT_COLORS(50)=16729344	! Orange red
	SAO_VLT_COLORS(51)=16742144
	SAO_VLT_COLORS(52)=10494192	! Purple
	SAO_VLT_COLORS(53)=5570560	! Raspberry *
	SAO_VLT_COLORS(54)=6689041
	SAO_VLT_COLORS(55)=7798835
	SAO_VLT_COLORS(56)=7803153
	SAO_VLT_COLORS(57)=8912947
	SAO_VLT_COLORS(58)=10031377
	SAO_VLT_COLORS(59)=16711680	! Red
	SAO_VLT_COLORS(60)=11149824	! Rust *
	SAO_VLT_COLORS(61)=9127187	! Saddle brown
	SAO_VLT_COLORS(62)=16416882	! Salmon
	SAO_VLT_COLORS(63)=16032864	! Sandy Brown
	SAO_VLT_COLORS(64)=3050327	! Sea green
	SAO_VLT_COLORS(65)=65407	! Spring Green
	SAO_VLT_COLORS(66)=10044433	! Tan *
	SAO_VLT_COLORS(67)=4251856	! Turquoise
	SAO_VLT_COLORS(68)=7982541	! Dark Slate Gray 3
	SAO_VLT_COLORS(69)=15631086	! Violet
	SAO_VLT_COLORS(70)=13639824	! Violet red
	SAO_VLT_COLORS(71)=16776960	! Yellow
	SAO_VLT_COLORS(72)=16113331	! Wheat
	SAO_VLT_COLORS(73)=16777200	! Ivory 1
C
C The following colors are overlay colors which remain constant as the
C lookup table is varied.
C 16777416 = Green
C 16777417 = Black
C 16777418 = White
C 16777419 = Red
C 16777420 = Green
C 16777421 = Blue
C 16777422 = Yellow
