	SUBROUTINE LINEPL2_FITS(MAPS,NMAPS,PLANES,NPLANES,ROWS,NROWS,
	1COLUMNS,NCOLUMNS,NI,NJ,IPIX,COMMAND,
	1XARRAY,YARRAY,SIZE,NPLOTS,NPOINTS,LINVECT,
	2INC,LINTYPE,NSYMBOL,INVERT,COLOR,INTERACT,CROSSHARS,XLABEL,
	3YLABEL,TITLE,BIN,XST,XINC,PLOTAVERAGE)
C
C  Note:  This is the Unix verison
C
C       This subroutine helps LINEPL_FITS by allowing operation of the
C  dynamic memory assignment when plotting more than one map or row
C  or column.
C		Donald H. Gudehus, February, 1984
C		Version 1U, D. Gudehus, June 24, 2005
C		Made changes for Unix
C
	INCLUDE 'miipspar.for'
C
	DIMENSION DAT2(1,MAXPLOTSIZE)
	EQUIVALENCE (DAT,DAT2)
	REAL*4 DAT(MAXPLOTSIZE)
	COMMON /SCRATCH_BLOCK/ DAT
C
	INTEGER SIZE !  Must come before usage as adjustable array
		     !  dimension
	DIMENSION XARRAY(SIZE,NPLOTS),
	1YARRAY(SIZE,NPLOTS),NPOINTS(NPLOTS),LINVECT(NPLOTS),
	2INC(NPLOTS),LINTYPE(NPLOTS),NSYMBOL(NPLOTS)
C
	INTEGER COLOR(NPLOTS)
	INTEGER MAPS(256),PLANES(256),ROWS(MAXSIZE),COLUMNS(MAXSIZE),IPIX(2)
C
	LOGICAL INVERT(2),INTERACT,CROSSHARS,PLOTAVERAGE
C
	CHARACTER*1 COMMAND
	CHARACTER*50 XLABEL,YLABEL,TITLE,BIN
C
	DO I=1,NPLOTS
	  NPOINTS(I)=IPIX(2)-IPIX(1)+1
	  NPOINTS(I)=MIN(NPOINTS(I),MAXPLOTSIZE-5)
	  INC(I)=1
	  IF (MOD(I-1,7)+1.EQ.1) COLOR(I)=16776960
	  IF (MOD(I-1,7)+1.EQ.2) COLOR(I)=16711935
	  IF (MOD(I-1,7)+1.EQ.3) COLOR(I)=65280
	  IF (MOD(I-1,7)+1.EQ.4) COLOR(I)=255
	  IF (MOD(I-1,7)+1.EQ.5) COLOR(I)=65535
	  IF (MOD(I-1,7)+1.EQ.6) COLOR(I)=16742144
	  IF (MOD(I-1,7)+1.EQ.7) COLOR(I)=16711680
	  IF (MOD(I-1,5)+1.EQ.1) LINVECT(I)=0
	  IF (MOD(I-1,5)+1.EQ.2) LINVECT(I)=1
	  IF (MOD(I-1,5)+1.EQ.3) LINVECT(I)=2
	  IF (MOD(I-1,5)+1.EQ.4) LINVECT(I)=3
	  IF (MOD(I-1,5)+1.EQ.5) LINVECT(I)=4
	  LINTYPE(I)=0
	  NSYMBOL(I)=0
	END DO
C
	IF (COMMAND.EQ.'R') THEN
	  DO M=1,NMAPS
	    DO N=1,NPLANES
	      DO J=1,NROWS
	        CALL RDFITSROW(11,MAPS(M),PLANES(N),DAT,NI,ROWS(J))
	        DO K=1,NPOINTS(J)
	          YARRAY(K,J*M)=DAT(IPIX(1)+K-1)
	          XARRAY(K,J*M)=XST+XINC*(IPIX(1)+K-2)
C	          XARRAY(K,J*M)=IPIX(1)+K-0.5
	        END DO
	      END DO
	    END DO
	  END DO
	ELSE IF (COMMAND.EQ.'C') THEN
	  DO M=1,NMAPS
	    DO N=1,NPLANES
	      DO I=1,NCOLUMNS
	        CALL RDFITSXY(11,MAPS(M),PLANES(N),DAT2,1,NJ,COLUMNS(I),1,1,
	1       NJ)
	        DO K=1,NPOINTS(I)
	          YARRAY(K,I*M)=DAT2(1,IPIX(1)+K-1)
	          XARRAY(K,I*M)=XST+XINC*(IPIX(1)+K-2)
C	          XARRAY(K,I*M)=IPIX(1)+K-0.5
	        END DO
	      END DO
	    END DO
	  END DO
	END IF
	IF (PLOTAVERAGE) THEN
	  DO IP=2,NPLOTS
	    DO I=1,NPOINTS(IP)
	      YARRAY(I,1)=YARRAY(I,1)+YARRAY(I,IP)
	    END DO
	  END DO
	  DO I=1,NPOINTS(1)
	    YARRAY(I,1)=YARRAY(I,1)/NPLOTS
	  END DO
	  NPLOTSDUM=1
	ELSE
	  NPLOTSDUM=NPLOTS
	END IF
	XARRAY(SIZE-3,1)=0.0
	YARRAY(SIZE-3,1)=0.0
	CALL XYPLOT(XARRAY,YARRAY,SIZE,NPLOTSDUM,NPOINTS,LINVECT,
	1INC,LINTYPE,NSYMBOL,INVERT,COLOR,INTERACT,CROSSHARS,XLABEL,
	2YLABEL,TITLE,' ',.FALSE.)
	RETURN
	END
