	SUBROUTINE COLOR_INPUT(COLOR24,KEY_WORD,PROMPT)
C
C  Note:  This is the Unix version
C
C	This subroutine asks the user for a color.  Either a singlet
C  24-bit value, or a triplet of 8-bit values may be input.
C
C		Donald H. Gudehus, May 7, 2000
C		Version 1U, Donald H. Gudehus, May 7, 2000
C		Converted to Unix
C
C	COLOR24		(R)	A 24-bit color value
C	KEY_WORD	(C)	The key word to be used by usrinp
C	PROMPT		(C)	The message to be used by usrinp
C
	CHARACTER*(*) KEY_WORD,PROMPT
	INTEGER COLOR24
C	
	INTEGER COLOR8(3)
C
	CALL USRINP(COLOR8,3,'I',4,0,KEY_WORD,PROMPT)
	N=INEL(COLOR8,3)
	IF (N.EQ.1) THEN
	  COLOR24=COLOR8(1)
	ELSE IF (N.EQ.3) THEN
	  CALL COLOR_24_TRIPLET(COLOR24,COLOR8(1),COLOR8(2),COLOR8(3),1)
	ELSE
	  CALL ERROR(-1,'Wrong number of entries in color_input')
	END IF
C
	RETURN
	END
	

