	SUBROUTINE CROSSHAIR(IX,IY,ICHAR)
C
C  Note:  This is the Unix version.
C
C       This subroutine turns on a graphics terminal's crosshairs,
C  waits for a key to be typed (not entered), and returns the
C  coordinates and ASCII code of the key.
C			Denis Warne, January 1979
C			Version 2, Donald H. Gudehus, January, 1993
C			Added a delay for Versaterm on ethernet so that
C			the values read back will not be corrupted, and 
C			so that quitting from cursor readback will not
C			quit XYPLOT, e.g.
C			Version 2U, Donald H. Gudehus, December 12, 1999
C			Converted code to Unix.
C
	BYTE BUF(5)
	BYTE ESC,SUB,GS,FS,US
	PARAMETER (ESC='1B'X,SUB='1A'X,GS='1D'X,FS='1C'X,US='1F'X)
C
	COMMON /PLOT_CHAN/ NCHAN,NDEV
C
C	SEND <ESC><SUB>
C
	BUF(1)=ESC
	BUF(2)=SUB
	DO I=1,2
	  II=PUTC(BUF(I))
	END DO
C
C Read back results
C
	CALL SYS_KEYSET(1)
	DO I=1,5
	  CALL SYS_KEYIN(BUF(I))
	END DO
	CALL SYS_KEYSET(0)
C
C	Decode returned arguments
C
	ICHAR=BUF(1).AND.'7F'X
	IX=(BUF(2).AND.'1F'X)
	IX=IX*32+(BUF(3).AND.'1F'X)
	IY=(BUF(4).AND.'1F'X)
	IY=IY*32+(BUF(5).AND.'1F'X)

	IF (NDEV.EQ.301) THEN
C  Go to PLOT10 mode
	  BUF(1)=ESC
	  BUF(2)='2A'X
	  DO I=1,2
	    II=PUTC(BUF(I))
	  END DO
	  BUF(1)=GS
	  II=PUTC(BUF(1))
	  WRITE(6,2000)
2000	  FORMAT(' ',' ')
	END IF
	RETURN
	END
