	SUBROUTINE DATALEVEL(ILEVEL)
C
C       This subroutine sets the level of the data sent to a plotting
C  device and puts the appropriate value in the common block
C  PLOT_DATALEVEL.
C			Donald H. Gudehus, January 12, 1983
C	ILEVEL	(C)	The code for the data level.  The possible
C			values are:
C			ILEVEL = 0 Dots turned on
C			ILEVEL = 1 Dots turned off
C			ILEVEL = 2 Dots toggled/complemented
C
	COMMON /PLOT_DATALEVEL/ LEVEL
C
	IF (ILEVEL.LT.0.OR.ILEVEL.GT.2) THEN
	  CALL MESSAGE('Illegal value in call to DATALEVEL')
	ELSE
	  LEVEL=ILEVEL
	END IF
	CALL PLOT(0.0,0.0,8)  ! Sends value of LEVEL to device driver or
			      ! plot file
	RETURN
	END
