	SUBROUTINE ISSUBSUP(TEXT,N,SUBSCRIPTFLAG,SUPERSCRIPTFLAG)
C
C       This subroutine helps the online plot routines by searching
C  throught TEXT to determine if subscripting and/or superscripting
C  occurs anywhere.
C				Donald H. Gudehus, October, 1984
C
	BYTE TEXT(1)
	LOGICAL NORMAL,SUBSCRIPT,SUPERSCRIPT,SUBSCRIPTFLAG,
	1SUPERSCRIPTFLAG
C
C  Initialize the logical variables
	NORMAL=.TRUE.
	SUBSCRIPT=.FALSE.
	SUPERSCRIPT=.FALSE.
	SUBSCRIPTFLAG=.FALSE.
	SUPERSCRIPTFLAG=.FALSE.
	DO I=1,N
	  IF (TEXT(I).EQ.'0A'X.OR.TEXT(I).EQ.'0B'X) THEN
			! Control J or linefeed, or control K or vertical tab
	    IF (NORMAL) THEN
	      NORMAL=.FALSE.
	      SUBSCRIPT=.TRUE.
	    ELSE IF (SUBSCRIPT) THEN
	      SUBSCRIPT=.FALSE.
	      SUPERSCRIPT=.TRUE.
	    ELSE IF (SUPERSCRIPT) THEN
	      SUPERSCRIPT=.FALSE.
	      NORMAL=.TRUE.
	    END IF
	  END IF
	  IF (SUBSCRIPT.AND.TEXT(I+1).NE.'08'X.AND.TEXT(I+1).NE.
	1 '09'X.AND.TEXT(I+1).NE.'0A'X) SUBSCRIPTFLAG=.TRUE.
	  IF (SUPERSCRIPT.AND.TEXT(I+1).NE.'08'X.AND.TEXT(I+1).NE.
	1 '09'X.AND.TEXT(I+1).NE.'0A'X) SUPERSCRIPTFLAG=.TRUE.
	END DO
	RETURN
	END
