	SUBROUTINE NUMBER(X,Y,HEIGHT,FPN,ANGLE,NDEC)
C
C  Note:  This is the Unix version
C
C			Greg Quinn, Mount Stromlo Observatory, June 1980
C		Version 2, Donald H. Gudehus, January 8, 2000
C		Modified code for Unix.
C		Version 3, Donald H. Gudehus, September 1, 2013
C		Added a call to F_ENCODE because the Portland Group
C		compiler supported ENCODE unreliably.
C
	REAL X,Y,HEIGHT,ANGLE
	REAL*8 FPN
C
	CHARACTER*11 TEXT
	LOGICAL ENTRY_N_LU
C
	INCLUDE 'plotpar.for'
C
	ENTRY_N_LU=.FALSE.
	GO TO 1
C
	ENTRY NUMBER_LU(X,Y,HEIGHT,FPN,ANGLE,NDEC,LU)
C
	ENTRY_N_LU=.TRUE.
   1	IF (ENTRY_N_LU) THEN
	  LUFILE=LU
	ELSE
	  LUFILE=79
	END IF
C
C  Plot integer (rounded) only
C
	IF (NDEC.LE.0) THEN
	  INTEG=NINT(FPN)
	  ENCODE (11,1000,TEXT) INTEG
1000	  FORMAT(I11)
	  NONBLANK=1
	  DO WHILE(TEXT(NONBLANK:NONBLANK).EQ.' ')
	    NONBLANK=NONBLANK+1
	  END DO
	  NDIGITS=12-NONBLANK
	  IF (NDEC.EQ.0) THEN
	    CALL SYMBOL(X,Y,HEIGHT,%REF(TEXT(NONBLANK:)),
	1   ANGLE,NDIGITS,LUFILE)
	    CALL SYMBOL(999.,999.,HEIGHT,%REF('.'),ANGLE,1,LUFILE)
	  ELSE IF (NDEC.EQ.-1) THEN
	    CALL SYMBOL(X,Y,HEIGHT,%REF(TEXT(NONBLANK:)),
	1   ANGLE,NDIGITS,LUFILE)
	  ELSE IF (NDEC.LT.-1) THEN
	    CALL SYMBOL(X,Y,HEIGHT,%REF(TEXT(NONBLANK:)),
	1   ANGLE,NDIGITS+NDEC+1,LUFILE)
	  END IF
C
C  Plot number to NDEC decimal places
C
	ELSE
	  IF (ABS(FPN).GE.1.001E7.OR.ABS(FPN).LT.9.999E-4.AND.FPN.NE.0.0) THEN
	    NDEC1=NDEC+2
	    ENCODE(11,2000,TEXT) FPN
2000	    FORMAT(E11.<NDEC1>)
	  ELSE
	    CALL F_ENCODE(TEXT,NDEC,FPN)

c	    ENCODE(11,3000,TEXT) FPN4
c3000	    FORMAT(F11.<NDEC>)
	  END IF
	  NONBLANK=1
	  DO WHILE(TEXT(NONBLANK:NONBLANK).EQ.' ')
	    NONBLANK=NONBLANK+1
	  END DO
	  CALL SYMBOL(X,Y,HEIGHT,%REF(TEXT(NONBLANK:)),
	1 ANGLE,12-NONBLANK,LUFILE)
	END IF
	RETURN
	END
