      SUBROUTINE TEKCON
C
C  Note:  This is the Unix version.
C
C       This subroutine will cause a graphics terminal to resume the
C  plot mode after being in alphagraphics mode.  Alphagraphics mode
C  can be established by a call to TEKPAU, which will then allow text
C  to be displayed on the TEK mode display.
C				Greg Quinn, June, 1979
C
C			Version 2, Donald H. Gudehus, May, 1984
C			Added COMMON block PLOT$TEXT and call to TEK with
C			proper values.
C			Version 2U, Donald H. Gudehus, January 28, 2000
C			Added call to PLOT for Unix.
C			Version 3U, Donald H. Gudehus, March 30, 2000
C			Added code for Xgterm
C
	BYTE BUF(1)
	LOGICAL ALPHAGRAPHICS,MARGIN
	COMMON /PLOT_CHAN/ NCHAN,NDEV
	COMMON /PLOT_TEXT/ ALPHAGRAPHICS,MARGIN
C
	BYTE GS
	PARAMETER (GS='1D'X)
C
	ALPHAGRAPHICS=.FALSE.
	IF (NDEV.EQ.1.OR.NDEV.EQ.4.OR.NDEV.EQ.101.OR.NDEV.EQ.201.OR.
	1NDEV.EQ.301.OR.NDEV.EQ.401.OR.NDEV.EQ.10001.OR.NDEV
	2.EQ.20001) THEN
	  CALL VWHERE (XNOW,YNOW,DFACT)
	  CALL TEK (INT(XNOW*136.4),INT(YNOW*136.4),3)
	END IF
C  Flush the buffer.  Unless this is done, a previous vector draw will
C  cause the X location input to TEKPAU to be ignored and the X location
C  will be at the location of the previous draw. 
	CALL PLOT(0.0,0.0,18)
C  Return to graphics mode so that the cursor will be turned off
	BUF(1)=GS
	II=PUTC(BUF(1))
	RETURN
	END
