	SUBROUTINE COPY_FITS_MAPS
C
C       This subroutine will copy  selected maps from one FITS file to
C  another existing or new FITS file.  We do not call GET_OUTPUT_FITS_MAPS
C  here because we need to preserve the actual length of headers from the
C  input maps.
C				Version 1U, Donald H. Gudehus, July 1, 2006
C
	INCLUDE 'fitsfacts.for'
C
	CHARACTER*80 FILENAME_IN,FILENAME_OUT
C
	INTEGER MAPS_IN(MAPMAX),MAPS_OUT(MAPMAX),STATUS
C
C  Open the input file and select the maps
C
	LU_IN=11
	FILENAME_IN=' ' 
	CALL GET_INPUT_FITS_MAPS(LU_IN,FILENAME_IN,MAPS_IN,NMAPS_IN,STATUS)
	IF (STATUS.NE.0) THEN
	  CALL CLOSEFITS(LU_IN)
	  RETURN
	END IF
C
C  Open the output file and copy records from the input maps to the output
C  maps.
C
	LU_OUT=12
	FILENAME_OUT=' ' !  Lets the user choose

	CALL COPY_FITS_RECORDS(LU_IN,LU_OUT,FILENAME_OUT,MAPS_IN,NMAPS_IN,
	1MAPS_OUT,STATUS)
	IF (STATUS.NE.0) THEN
	  CALL CLOSEFITS(LU_IN)
	  CALL CLOSEFITS(LU_OUT)
	  RETURN
	END IF
C
	CALL CLOSEFITS(LU_IN)
	CALL CLOSEFITS(LU_OUT)
	RETURN
	END
