C                     Symbolic Definition File
C                              for
C                        Plotting Software
C
C			Version 1.0, May, 1980
C
C			Version 2, G. Quinn, June, 1981
C			Added parameters for Versatec plots.
C			Version 3, D. H. G., October, 1982
C			Added parameters for return to
C			transparent mode (end of alpha mode) and
C			fixed Y limit for Tektronix
C			Version 4, Donald H. Gudehus, October, 1983
C			Added parameters for line style
C			Version 5, Donald H. Gudehus, December, 1983
C			Added parameters for Grinnell
C			Version 6, Donald H. Gudehus, January, 1984
C			Added parameters for data level, point plot
C			mode, and bell.
C			Version 7, Donald H. Gudehus, February, 1984
C			Added parameters for alphagrphics, rectilinear
C			graphics, and filling style.
C			Version 8, Donald H. Gudehus, October, 1984
C			Added parameters for Lasergrafix 1200
C			Version 9, Donald H. Gudehus, 1987
C			Added parameters for Apple Laserwriter
C			Version 10, Donald H. Gudehus, August, 1988
C			Added parameters for Imagen laser writer
C			Version 11, Donald H. Gudehus, November, 1988
C			Added parameters for Trapix
C			Version 12, Donald H. Gudehus, October, 1994
C			Added parameters for SAOimage.  Changed 
C			PLT$M_OPC mask from '0F'X to '7F' and
C			SYMBCONT mask from '10'X to '80' so that more
C			IPEN values could be used without using
C			excessive decoding logic.
C			Version 13, Donald H. Gudehus, July, 1995
C			Changed standard resolution of plot package to
C			600 dots per inch.
C			Version 14, Donald H. Gudehus, January 20, 2000
C			Added PLT$_OP_FLUSHBUFFER
C			Version 15, Donald H. Gudehus, February 14, 2005
C			Added type declarations for some of the parameters
C			because the Absoft compiler on Mac OS required
C			this.  However this then caused the Portland Group
C			compiler on Linux to fail with the message
C			"Illegal attempt to redefine symbol".  Putting
C			parentheses around the parameters (upt ot
C			PLT$M_THIRDBYTE) solved this problem.
C			Version 16, D. Gudehus, August 26, 2006
C			Added more parentheses
C
	INTEGER*2 PLT$B_OPC,PLT$W_SYMBNO,PLT$B_PENNO,PLT$W_X,PLT$W_Y,
	1PLT$W_HEIGHT,PLT$L_FACTOR,PLT$W_NBYT,PLT$W_ANGLE,PLT$W_SYMBX,
	2PLT$W_SYMBY,PLT$B_STRING,PLT$B_SYMCONT,PLT$B_LINESTYLE,
	3PLT$B_DATALEVEL,PLT$B_FILLSTYLE,PLT$B_PENWIDTH
C
	INTEGER*2 PLT$_X_NB,PLT$_Y_NB,PLT$_HEIGHT_NB,PLT$_FACTOR_NB,
	1PLT$_NBYT_NB,PLT$_ANGLE_NB,PLT$_SYMBX_NB,PLT$_SYMBY_NB
C
	BYTE PLT$OP_ENDFILE,PLT$OP_ENDPLOT,PLT$OP_PLOTDOWN,
	1PLT$OP_PLOTUP,PLT$OP_SYMBOL,PLT$OP_FACTOR,PLT$OP_NEWPEN,
	2PLT$OP_ORIG,PLT$OP_SYMBDOWN,PLT$OP_SYMBUP,PLT$OP_ENDALPHA,
	3PLT$OP_LINESTYLE,PLT$OP_COLOR,PLT$OP_DATALEVEL,
	4PLT$OP_POINTPLOT,PLT$OP_BELL,PLT$OP_ALPHAGRAPHICS,
	5PLT$OP_RECTILINEAR,PLT$OP_FILLSTYLE,PLT$OP_PENWIDTH,
	6PLT$OP_IMMEDIATE,PLT$OP_DELAYED,PLT$OP_SHOWVECT,PLT$OP_FLUSHBUFFER,
	7PLT$OP_BACKGROUNDCOLOR
C
	BYTE PLT$M_OPC,PLT$M_SYMBCONT
	INTEGER PLT$M_FIRSTBYTE,PLT$M_SECONDBYTE,PLT$M_THIRDBYTE
C
	INTEGER*2 PLT$C_NIBS,PLT$C_OLDNIBS
C
	REAL*4 PLT$C_HOUSTPIX,PLT$C_RAMPIX,PLT$C_TEKPIX,PLT$C_PRINXPIX,
	1PLT$C_PRINYPIX,PLT$C_VERSPIX,PLT$C_IMAGENPIX,PLT$C_662PIX,
	2PLT$C_GRINPIX,PLT$C_LASERMIL,PLT$C_APPLEPIX,PLT$C_TRAPIXPIX,
	3PLT$C_SAOPIX,PLT$C_CHARSIZE
C
	INTEGER PLT$C_COMMAND,PLT$C_SYMFIX,PLT$C_RAMXPIX,PLT$C_RAMYPIX,
	1PLT$C_TEKXPIX,PLT$C_TEKYPIX,PLT$C_HXPIX,PLT$C_HYPIX,PLT$C_PXPIX,
	2PLT$C_PYPIX,PLT$C_VXPIX,PLT$C_VYPIX,PLT$C_IMAGENXPIX,
	3PLT$C_IMAGENYPIX,PLT$C_662XPIX,PLT$C_662YPIX,PLT$C_GRINXPIX,
	4PLT$C_GRINYPIX,PLT$C_LASERXMIL,PLT$C_LASERYMIL,PLT$C_APPLEXPIX,
	5PLT$C_APPLEYPIX,PLT$C_TRAPIXXPIX,PLT$C_TRAPIXYPIX,PLT$C_SAOXPIX,
	5PLT$C_SAOYPIX
C
	INTEGER SSP$_NORMAL,PLT$S_ILLIPEN,PLT$S_ENDFILE,PLT$S_ENDPLOT,
	1PLT$S_NOSUCHPLOT,PLT$S_NOPOINTS,PLT$S_ENDALPHA
C
C	Offsets
C
	PARAMETER (PLT$B_OPC=0)
	PARAMETER (PLT$W_SYMBNO=1)
	PARAMETER (PLT$B_PENNO=0)
	PARAMETER (PLT$W_X=0)
	PARAMETER (PLT$W_Y=1)
	PARAMETER (PLT$W_HEIGHT=0)
	PARAMETER (PLT$L_FACTOR=0)
	PARAMETER (PLT$W_NBYT=1)
	PARAMETER (PLT$W_ANGLE=0)
	PARAMETER (PLT$W_SYMBX=1)
	PARAMETER (PLT$W_SYMBY=2)
	PARAMETER (PLT$B_STRING=6)
	PARAMETER (PLT$B_SYMCONT=0)
	PARAMETER (PLT$B_LINESTYLE=0)
	PARAMETER (PLT$B_DATALEVEL=0)
	PARAMETER (PLT$B_FILLSTYLE=0)
	PARAMETER (PLT$B_PENWIDTH=0)
C
C	Lengths
C
	PARAMETER (PLT$_X_NB=2)
	PARAMETER (PLT$_Y_NB=2)
	PARAMETER (PLT$_HEIGHT_NB=2)
	PARAMETER (PLT$_FACTOR_NB=4)
	PARAMETER (PLT$_NBYT_NB=2)
	PARAMETER (PLT$_ANGLE_NB=2)
	PARAMETER (PLT$_SYMBX_NB=2)
	PARAMETER (PLT$_SYMBY_NB=2)
C
C	Opcode values
C
	PARAMETER (PLT$OP_ENDFILE='00'X) !  IPEN=9999
	PARAMETER (PLT$OP_ENDPLOT='01'X) !  IPEN=999
	PARAMETER (PLT$OP_PLOTDOWN='02'X) !  IPEN=2
	PARAMETER (PLT$OP_PLOTUP='03'X) !  IPEN=3
	PARAMETER (PLT$OP_SYMBOL='04'X) !  Called from SYMBOL
	PARAMETER (PLT$OP_FACTOR='05'X) !  Called from FACTOR
	PARAMETER (PLT$OP_NEWPEN='06'X) !  Called from NEWPEN
	PARAMETER (PLT$OP_ORIG='07'X) !  IPEN=-2 or -3
	PARAMETER (PLT$OP_SYMBDOWN='08'X) !  Called from SYMBOL
	PARAMETER (PLT$OP_SYMBUP='09'X) !  Called from SYMBOL
	PARAMETER (PLT$OP_ENDALPHA='0A'X) !  IPEN=4
	PARAMETER (PLT$OP_LINESTYLE='0B'X) !  IPEN=5
	PARAMETER (PLT$OP_COLOR='0C'X) !  IPEN=6
	PARAMETER (PLT$OP_DATALEVEL='0D'X) !  IPEN=8
	PARAMETER (PLT$OP_POINTPLOT='0E'X) !  IPEN=1
	PARAMETER (PLT$OP_BELL='0F'X) ! IPEN=7
C  Some OPCODEs have an extra bit set when continuation of text or
C  symbols is desired.  We must be careful not to create an OPCODE
C  which could be confused with one of these.  Excluded values
C  are those that have the bits '84'X, '88'X, and '89'X in common.
	PARAMETER (PLT$OP_ALPHAGRAPHICS='10'X) !  IPEN=10
	PARAMETER (PLT$OP_RECTILINEAR='11'X) !  IPEN=9
	PARAMETER (PLT$OP_FILLSTYLE='12'X) !  IPEN=11
	PARAMETER (PLT$OP_PENWIDTH='13'X) !  IPEN=12
	PARAMETER (PLT$OP_IMMEDIATE='14'X) !  IPEN=13
	PARAMETER (PLT$OP_DELAYED='15'X) !  IPEN=14
	PARAMETER (PLT$OP_SHOWVECT='16'X) !  IPEN=15
C  IPEN=16 and IPEN=17 is used in SAO.FOR
	PARAMETER (PLT$OP_FLUSHBUFFER='19'X) !  IPEN=18;  used in Unix
	PARAMETER (PLT$OP_BACKGROUNDCOLOR='1A'X) !  IPEN=19
C
C	Masks
C
	PARAMETER (PLT$M_OPC='7F'X)
	PARAMETER (PLT$M_SYMBCONT='80'X)
	PARAMETER (PLT$M_FIRSTBYTE='FF'X)
	PARAMETER (PLT$M_SECONDBYTE='FF00'X)
	PARAMETER (PLT$M_THIRDBYTE='FF0000'X)
C
C	Constants
C
	PARAMETER (PLT$C_NIBS=600)	! Standard resolution of plot
					! package based on 600 dots per
					! inch for the Apple LaserWriter.
					! If this is increased, the reorigin
					! value of -50 will have to be reduced
					! in order that the limits of an
					! INTEGER*2 variable will not be 
					! exceeded.
	PARAMETER (PLT$C_OLDNIBS=254)	! Old standard resolution of plot
					! package.  Needed to initialize old
					! plots.
	PARAMETER (PLT$C_HOUSTPIX=0.4233333)
					! Resolution of Houston plotter
					! (254 dots per inch) relative
					! to package standard. 
	PARAMETER (PLT$C_RAMPIX=0.087079674)
					! Resolution of Ramtek (52.2478
					! dots per inch) relative
					! to package standard. 
	PARAMETER (PLT$C_TEKPIX=0.2273333)
					! Resolution of Tektronix (136.40
					! pixels per inch exactly if a length
					! of 1023 pixels is equivalent to 7.50
                                        ! inches exactly) relative
					! to package standard. 
	PARAMETER (PLT$C_PRINXPIX=0.12)	! X-resolution of the Printronix
					! (72 dots per inch) relative to the 
					! package standard.
	PARAMETER (PLT$C_PRINYPIX=0.1)	! Y-resolution of the Printronix
					! (60 dots per inch) relative to the 
					! package standard.
	PARAMETER (PLT$C_VERSPIX=0.3333333)
					! Resolution of Versatec (200 dots
					! per inch) relative to package 
					! standard.
	PARAMETER (PLT$C_IMAGENPIX=0.2273333)
					! Resolution of Imagen laser writer
					! (136.4 dots per inch) relative to 
					! package standard.
	PARAMETER (PLT$C_662PIX=0.455)	! resolution of Tektronix 4662
					! (273 dots per inch) relative to 
					! package standard.
	PARAMETER (PLT$C_GRINPIX=0.079843752)
					! Resolution of Grinnell
					! (47.90625... pixels per inch)
					! relative to package standard.
	PARAMETER (PLT$C_LASERMIL=1.666667)
					! Adjusted resolution of QMS
					! Lasergrafix (1000 QMS units
                                        ! (mills) per inch (or 300 pixels
                                        ! per inch) relative to package
					! standard.
	PARAMETER (PLT$C_APPLEPIX=1.0)	! Resolution of Apple LaserWriter
					! (600 pixels per inch) relative to 
					! package standard.  LaserWriters
					! with 300 dpi can still function
					! since in APPLE.FOR the units are
					! converted to points.
	PARAMETER (PLT$C_TRAPIXPIX=0.079843752)
					! Resolution of Trapix 
					! (47.90625... pixels per inch)
					! relative to package standard.
	PARAMETER (PLT$C_SAOPIX=0.1583333)
					! Resolution of SAOimage (95 pixels
					! per inch on a Trinitron VRT-19 HA 
					! monitor) relative to package
					! standard.
	PARAMETER (PLT$C_COMMAND=5)	! length in bytes of
					! basic plot command
					! (see DOC:PLOTFILE.DC3)
	PARAMETER (PLT$C_SYMFIX=6)	! length in bytes of the
					! extra part of SYMBOL
					! commands.
	PARAMETER (PLT$C_CHARSIZE=.14)	! default character size
					! in inches.
	PARAMETER (PLT$C_RAMXPIX=511)	! X-size of Ramtek screen
	PARAMETER (PLT$C_RAMYPIX=511)	! Y-size of Ramtek screen
	PARAMETER (PLT$C_TEKXPIX=1023)	! X-size of Tektronix
	PARAMETER (PLT$C_TEKYPIX=779)	! Y-size of Tektronix
	PARAMETER (PLT$C_HXPIX=16000)	! X-size of Houston
	PARAMETER (PLT$C_HYPIX=5558)	! Y-size of Houston
	PARAMETER (PLT$C_PXPIX=16000)	! X-size of Printronix
					!  (222.2 inches)
	PARAMETER (PLT$C_PYPIX=792)	! Y-size of Printronix
					!  (13.2 inches)
	PARAMETER (PLT$C_VXPIX=16000)	! X-size of Versatec
	PARAMETER (PLT$C_VYPIX=2112)	! Y-size of Versatec
	PARAMETER (PLT$C_IMAGENXPIX=3300) ! X-size of Imagen laser writer
					! (11.000 inches)
	PARAMETER (PLT$C_IMAGENYPIX=2550) ! Y-size of Imagen laser writer
					! (8.500 inches)
	PARAMETER (PLT$C_662XPIX=4095)	! X-size of 4662
	PARAMETER (PLT$C_662YPIX=2731)	! Y-size of 4662
	PARAMETER (PLT$C_GRINXPIX=511)	! X-size of Grinnell
					!  (10 2/3 inches)
	PARAMETER (PLT$C_GRINYPIX=511)	! Y-size of Grinnell
					!  (10.667 inches)
	PARAMETER (PLT$C_LASERXMIL=11000)	! X-size of Lasergrafix
					! (11.000 inches)
	PARAMETER (PLT$C_LASERYMIL=8500)	! Y-size of Lasergrafix
					! (8.5000 inches)
	PARAMETER (PLT$C_APPLEXPIX=6600)  ! X-size of Apple Laserwriter
					! (11.000 inches)
	PARAMETER (PLT$C_APPLEYPIX=5100)  ! Y-size of Apple Laserwriter
					! (8.500 inches)
	PARAMETER (PLT$C_TRAPIXXPIX=511)	! X-size of Grinnell
					!  (10 2/3 inches)
	PARAMETER (PLT$C_TRAPIXYPIX=511)	! Y-size of Grinnell
					!  (10.667 inches)
	PARAMETER (PLT$C_SAOXPIX=799)
					! X-size of SAOimage assuming 800
					! by 800 buffer (8.421.. inches)
	PARAMETER (PLT$C_SAOYPIX=799)
					! Y-size of SAOimage

C
C	Status returns
C
	PARAMETER (SSP$_NORMAL=1)
	PARAMETER (PLT$S_ILLIPEN='8004800C'X)  ! Severe, message #1
	PARAMETER (PLT$S_ENDFILE='80048013'X)  ! Information, message #2
	PARAMETER (PLT$S_ENDPLOT='8004801B'X)  ! Information, message #3
	PARAMETER (PLT$S_NOSUCHPLOT='80048022'X)  ! Error, message #4
	PARAMETER (PLT$S_NOPOINTS='8004802A'X)  ! Error, messsage #5  
	PARAMETER (PLT$S_ENDALPHA='80048033'X)  ! Information, message #6
C
