	SUBROUTINE ARROWHEAD(X,Y,ANGLE,LENGTH)
C
C  Note:  This is the Unix version
C
C       This subroutine draws the head of an arrow on a plot device.
C				Donald H. Gudehus, February, 1985
C			Version 1U, Donald Gudehus, January 11, 2000
C			Modified code for Unix
C
C	X	(C)	The X location of the tip of the arrow
C	Y	(C)	The Y location of the tip of the arrow
C	ANGLE	(C)	The angle measured from a horizontal axis of
C			the shaft of the arrow
C	LENGTH	(C)	The length in inches of the vectors making up
C			the tip of the arrow
C
	REAL LENGTH
	INCLUDE 'plotpar.for'
C
C  Draw one side of the tip
	DELTAX=LENGTH*COSD(ANGLE+30.0)
	DELTAY=LENGTH*SIND(ANGLE+30.0)
	CALL PLOT(X-DELTAX,Y-DELTAY,3)
	CALL PLOT(X,Y,2)
C  Draw the other side of the tip
	DELTAX=LENGTH*COSD(ANGLE-30.0)
	DELTAY=LENGTH*SIND(ANGLE-30.0)
	CALL PLOT(X-DELTAX,Y-DELTAY,2)
C
	RETURN
	END
