	SUBROUTINE COLORMODE_BACKGROUND(COLOR)
C
C       This subroutine sets the color of the background
C  on the plot device and puts the appropriate value in the common
C  block PLOT_COLOR and then calls PLOT to send the value to the
C  device driver or to a plot file.
C			Donald H. Gudehus, January 22, 2000
C
C	COLOR	(C)	The 24-bit color of the background desired on the 
C			plotting device.  It is coded so that the first byte
C			corresponds to 8 bits of blue, the second byte
C			to 8 bits of green, and the third byte to 8 bits
C			of red.  See COLORMODE.FOR for a list of the colors.
C	
	INTEGER COLOR,LCOLOR,LBCOLOR
	COMMON /PLOT_COLOR/ LCOLOR,LBCOLOR
C
	LBCOLOR=COLOR
	CALL PLOT(0.0,0.0,19)
	RETURN
	END
