	SUBROUTINE NUMBER(X,Y,HEIGHT,FPN,ANGLE,NDEC)
C
C  Note:  This is the Unix version
C
C			Greg Quinn, Mount Stromlo Observatory, June 1980
C		Version 1U, Donald H. Gudehus, January 8, 2000
C		Modified code for Unix.
C		Version 1UM, D. Gudehus, February 8, 2005
C		Modified variable format statement to work with
C		Absoft compiler on Mac OS
C
	REAL X,Y,HEIGHT,ANGLE
	REAL*8 FPN
cD	INTEGER*2 NDEC,LU
C
	CHARACTER*11 TEXT
	CHARACTER*40 VFORMAT
	LOGICAL ENTRY_N_LU
C
	INCLUDE 'plotpar.for'
C
	ENTRY_N_LU=.FALSE.
	GO TO 1
C
	ENTRY NUMBER_LU(X,Y,HEIGHT,FPN,ANGLE,NDEC,LU)
C
	ENTRY_N_LU=.TRUE.
   1	IF (ENTRY_N_LU) THEN
	  LUFILE=LU
	ELSE
	  LUFILE=79
	END IF
C
C  Plot integer (rounded) only
C
	IF (NDEC.LE.0) THEN
	  INTEG=NINT(FPN)
	  ENCODE (11,1000,TEXT) INTEG
1000	  FORMAT(I11)
	  NONBLANK=1
	  DO WHILE(TEXT(NONBLANK:NONBLANK).EQ.' ')
	    NONBLANK=NONBLANK+1
	  END DO
	  NDIGITS=12-NONBLANK
	  IF (NDEC.EQ.0) THEN
	    CALL SYMBOL_LU(X,Y,HEIGHT,%REF(TEXT(NONBLANK:)),
	1   ANGLE,NDIGITS,LUFILE)
	    CALL SYMBOL_LU(999.,999.,HEIGHT,%REF('.'),ANGLE,1,LUFILE)
	  ELSE IF (NDEC.EQ.-1) THEN
	    CALL SYMBOL_LU(X,Y,HEIGHT,%REF(TEXT(NONBLANK:)),
	1   ANGLE,NDIGITS,LUFILE)
	  ELSE IF (NDEC.LT.-1) THEN
	    CALL SYMBOL_LU(X,Y,HEIGHT,%REF(TEXT(NONBLANK:)),
	1   ANGLE,NDIGITS+NDEC+1,LUFILE)
	  END IF
C
C  Plot number to NDEC decimal places
C
	ELSE
	  IF (ABS(FPN).GE.1.001E7.OR.ABS(FPN).LT.9.999E-4.AND.FPN.NE.0.0) THEN
	    NDEC1=NDEC+2
C2000	    FORMAT(E11.<NDEC1>)
	    WRITE(VFORMAT,2000) NDEC1
2000	    FORMAT('(E11.',I1,')')
	    ENCODE(11,VFORMAT,TEXT) FPN
	  ELSE
C3000	    FORMAT(F11.<NDEC>)
	    WRITE(VFORMAT,3000) NDEC
3000	    FORMAT('(F11.',I1,')')
	    ENCODE(11,VFORMAT,TEXT) FPN
	  END IF
	  NONBLANK=1
	  DO WHILE(TEXT(NONBLANK:NONBLANK).EQ.' ')
	    NONBLANK=NONBLANK+1
	  END DO
	  CALL SYMBOL_LU(X,Y,HEIGHT,%REF(TEXT(NONBLANK:)),
	1 ANGLE,12-NONBLANK,LUFILE)
	END IF
	RETURN
	END
