	SUBROUTINE PLT_READ(COMMAND,SYMFIX,TEXT,ENDPLOT,ENDFILE)
C
C  Note:  This is the Unix version
C
C		Greg Quinn, Mount Stromlo Observatory, June, 1980
C
C		Version 2, Donald H. Gudehus, July, 1985
C		Added check for PLT$OP_ENDFILE
C		Version 3, Donald H. Gudehus, September, 1987
C		Added argument ENDPLOT for Apple Laser Writer
C		Version 3U, Donald H. Gudehus, February 5, 2000
C		Converted to Unix
C		Version 3UM, Donald H. Gudehus, February 12, 2005
C		Modified code for Mac OS so that plot files are
C		compatible between systems.
C
	INCLUDE 'plotpar.for'
	BYTE COMMAND(0:4),READCOM(0:4),TEMPCOM(0:4),OPCODE
C	INTEGER*2 SYMFIX(0:2)
	BYTE SYMFIX(PLT$C_SYMFIX),READFIX(PLT$C_SYMFIX)
	BYTE TEXT(256)
	INTEGER*2 I2COM(0:2)
	EQUIVALENCE (I2COM,READCOM(1))
	LOGICAL ENDPLOT,ENDFILE
C
 300	READ(79,END=400) READCOM
	OPCODE=READCOM(PLT$B_OPC).AND.PLT$M_OPC
C  The commented lines below are for Linux
C	IF (OPCODE.EQ.PLT$OP_SYMBUP.OR.
C	2OPCODE.EQ.PLT$OP_SYMBDOWN) READ(79,END=400) SYMFIX
C	IF (OPCODE.EQ.PLT$OP_SYMBOL) READ(79,END=400)
C	1SYMFIX,(TEXT(I),I=1,I2COM(PLT$W_NBYT))
C  The following lines are for Mac OS with the Absoft compiler and permit
C  the plot file to be compatible with the Linux version.  In addition,
C  compiler switches of -N3 and -N27 must be used.
	IF (OPCODE.EQ.PLT$OP_PLOTDOWN.OR.OPCODE.EQ.PLT$OP_PLOTUP.OR.
	1OPCODE.EQ.PLT$OP_SYMBOL.OR.OPCODE.EQ.PLT$OP_ORIG.OR.
	2OPCODE.EQ.PLT$OP_SYMBDOWN.OR.OPCODE.EQ.PLT$OP_SYMBUP.OR.
	3OPCODE.EQ.PLT$OP_LINESTYLE.OR.OPCODE.EQ.PLT$OP_DATALEVEL.OR.
	4OPCODE.EQ.PLT$OP_FILLSTYLE.OR.OPCODE.EQ.PLT$OP_PENWIDTH) THEN !  I2
	  TEMPCOM(0)=READCOM(0)
	  TEMPCOM(1)=READCOM(2)
	  TEMPCOM(2)=READCOM(1)
	  TEMPCOM(3)=READCOM(4)
	  TEMPCOM(4)=READCOM(3)
	ELSE !  REAL*4
	  TEMPCOM(0)=READCOM(0)
	  TEMPCOM(1)=READCOM(4)
	  TEMPCOM(2)=READCOM(3)
	  TEMPCOM(3)=READCOM(2)
	  TEMPCOM(4)=READCOM(1)
	END IF
	DO I=0,4
	  READCOM(I)=TEMPCOM(I)
	END DO
	IF (OPCODE.EQ.PLT$OP_SYMBUP.OR.
	1OPCODE.EQ.PLT$OP_SYMBDOWN) READ(79,END=400) READFIX
	IF (OPCODE.EQ.PLT$OP_SYMBOL) READ(79,END=400)
	1READFIX,(TEXT(I),I=1,I2COM(PLT$W_NBYT))
	SYMFIX(1)=READFIX(2)
	SYMFIX(2)=READFIX(1)
	SYMFIX(3)=READFIX(4)
	SYMFIX(4)=READFIX(3)
	SYMFIX(5)=READFIX(6)
	SYMFIX(6)=READFIX(5)
C End of Mac OS code
	IF (OPCODE.EQ.PLT$OP_ENDPLOT) ENDPLOT=.TRUE.
	IF (OPCODE.EQ.PLT$OP_ENDFILE) ENDFILE=.TRUE.  ! Normal way for ENDFILE
						      ! to be .TRUE.
	DO I=0,4
	  COMMAND(I)=READCOM(I)
	END DO
	RETURN
400	ENDFILE=.TRUE.  ! Second way for ENDFILE to be .TRUE.
	RETURN
	END
