	SUBROUTINE PLT_READ(COMMAND,SYMFIX,TEXT,ENDPLOT,ENDFILE)
C
C  Note:  This is the Unix version
C
C		Greg Quinn, Mount Stromlo Observatory, June, 1980
C
C		Version 2, Donald H. Gudehus, July, 1985
C		Added check for PLT$OP_ENDFILE
C		Version 3, Donald H. Gudehus, September, 1987
C		Added argument ENDPLOT for Apple Laser Writer
C		Version 3U, Donald H. Gudehus, February 5, 2000
C		Converted to Unix
C		Version 4, Donald H. Gudehus, January 29, 2008
C		Introduced BCOM to avoid compiler warnings
C		Version 5, Donald H. Gudehus, November 8, 2013
C		Added code to write data to log file. Under Mac
C		OS X Intel, plotting from a *.plt file with
C		PLOTCOM produced corrupted plots or no plots. 
C		Simply adding a write statement to unit 7 solved
C		the problem.
C
	INCLUDE 'plotpar.for'
	BYTE COMMAND(0:4),READCOM(0:4),OPCODE,BCOM(4)
	INTEGER*2 SYMFIX(0:2)
	BYTE TEXT(256)
	INTEGER*2 I2COM(0:2)
C	EQUIVALENCE (I2COM,READCOM(1))
	EQUIVALENCE (I2COM(0),BCOM(1))
	LOGICAL ENDPLOT,ENDFILE
C
 300	READ(79,END=400) READCOM
	DO I=1,4
	  BCOM(I)=READCOM(I)
	END DO
	WRITE(7,2000) BCOM(1),BCOM(2),BCOM(3),BCOM(4)
2000	FORMAT(' ',I4,' ',I4,' ',I4,' ',I4)
	OPCODE=READCOM(PLT$B_OPC).AND.PLT$M_OPC
	IF (OPCODE.EQ.PLT$OP_SYMBUP.OR.
	2OPCODE.EQ.PLT$OP_SYMBDOWN) READ(79,END=400) SYMFIX
	IF (OPCODE.EQ.PLT$OP_SYMBOL) READ(79,END=400)
	1SYMFIX,(TEXT(I),I=1,I2COM(PLT$W_NBYT))
	IF (OPCODE.EQ.PLT$OP_ENDPLOT) ENDPLOT=.TRUE.
	IF (OPCODE.EQ.PLT$OP_ENDFILE) ENDFILE=.TRUE. !  Normal way for ENDFILE
						     !  to be .TRUE.
	DO I=0,4
	  COMMAND(I)=READCOM(I)
	END DO
	RETURN
400	ENDFILE=.TRUE. !  Second way for ENDFILE to be .TRUE.
	RETURN
	END
