	SUBROUTINE RESETTEK
C
C  Note:  This is the Unix version
C
C	This subroutine resets a graphics terminal to text mode if it was 
C	used.
C			Donald H. Gudehus, February 25, 1987
C		Version 2, Jim Haywood, Jeff Youngen, August, 1988
C		Eliminated call to SYS$TRNLOG, not needed in VMS 5.
C		Version 3, Donald H. Gudehus, November, 1988
C		Added code for ND=301
C		Version 4, Donald H. Gudehus, May, 1992
C		Added code for ND=401
C		Version 5, Donald H. Gudehus, October, 1992
C		Added code for ND=10001 (Xterm)
C		Version 6, Donald H. Gudehus, July, 1995
C		Added code to shuffle down the device numbers and channels
C		which are not graphics devices.
C		Version 6U, Donald H. Gudehus, December 2, 1999
C		Modified code for Unix
C
	INTEGER CHANNELS(10),DEVICENUMBERS(10)

	COMMON /PLOT_DEVICES/ NUMBERDEVICES,CHANNELS,DEVICENUMBERS,NDEVICE,
	1NLOWER
C
	COMMON /PLOT_CHAN/ NCHAN,NDEV
C
	LOGICAL TEKUSED
	COMMON /PLOT_TEKUSED/ TEKUSED
C
	NUMBERDEVICES_ORIG=NUMBERDEVICES
	DO N=NUMBERDEVICES_ORIG,1,-1
	  ND=DEVICENUMBERS(N)
	  IF (ND.EQ.1.OR.ND.EQ.4.OR.ND.EQ.101.OR.ND.EQ.201.OR.ND.EQ.301
	1 .OR.ND.EQ.401.OR.ND.EQ.10001.OR.ND.EQ.20001) THEN
c	    NCHAN=CHANNELS(N)
	    NDEV=ND
	    IF (ND.NE.401.AND.ND.NE.10001.AND.ND.NE.20001) CALL TEK(0,0,0)  
				!  Erases the screen
C  On Versaterm with Unix, garbage characters appear at the end of the 
C  plot unless the following call is made.
	    IF (ND.EQ.401) CALL TEK(0,0,10)
	    CALL TEK(0,0,4)
	    NUMBERDEVICES=NUMBERDEVICES-1
C  Shuffle down
	    DO NN=N,NUMBERDEVICES
	      DEVICENUMBERS(NN)=DEVICENUMBERS(NN+1)
	      CHANNELS(NN)=CHANNELS(NN+1)
	    END DO
	    TEKUSED=.FALSE.
	  END IF
	END DO
C  If a plot was first made on the terminal and then a replot was done on
C  a different device as called from XYPLOT, the above code will 
C  not detect that the terminal is in graphics mode.  Hence the 
C  following code is necessary.
	IF (TEKUSED) THEN
	  CALL TEK(0,0,0)
	  CALL TEK(0,0,4)	  
	  TEKUSED=.FALSE.
	END IF
	NUMBERDEVICES=MAX(0,NUMBERDEVICES)
	RETURN
	END
