	SUBROUTINE SYMBOL(X,Y,HEIGHT,TEXT,ANGLE,NCHAR)
C
C  Note:  This is the Unix version
C
C			Greg Quinn, Mount Stromlo Observatory, June 1980
C			Version 1U, Donald H. Gudehus, Jan. 7, 2000
C			Converted code to Unix
C			Version 2, Donald H. Gudehus, Jan. 29, 2008
C			Introduced BCOM to avoid compiler warnings.
C
C	X	(C)
C	Y	(C)
C	HEIGHT	(C)
C	TEXT	(C)
C	ANGLE	(C)
C	NCHAR	(C)
C	LU	(C)
C
	BYTE TEXT(1),COMMAND(0:4),BCOM(4)
	INTEGER*2 I2COM(0:2),SYMCOM(0:2)
	INTEGER*4 NCHAR
	LOGICAL ENTRY_S_LU
	REAL X,Y,HEIGHT,ANGLE
C	EQUIVALENCE (I2COM(0),COMMAND(1))
	EQUIVALENCE (BCOM,I2COM(0))
	INCLUDE 'plotpar.for'
C
	ENTRY_S_LU=.FALSE.
	GO TO 1
C
	ENTRY SYMBOL_LU(X,Y,HEIGHT,TEXT,ANGLE,NCHAR,LU)
C
	ENTRY_S_LU=.TRUE.
  1	IF (ENTRY_S_LU) THEN
	  LUFILE=LU
	ELSE
	  LUFILE=79
	END IF
C
C  Normal SYMBOL call
C
	IF (NCHAR.GE.0) THEN
	  COMMAND(PLT$B_OPC)=PLT$OP_SYMBOL  ! Index=0, '04'X
	  I2COM(PLT$W_HEIGHT)=NINT(HEIGHT*PLT$C_NIBS)  ! Index=0
	  IF (NCHAR.EQ.0) THEN
	    I2COM(PLT$W_NBYT)=1  ! Index=1
	    TEXT(1)=TEXT(4)
	  ELSE
	    I2COM(PLT$W_NBYT)=NCHAR  ! Index=1
	  END IF
	  DO I=1,4
	    COMMAND(I)=BCOM(I)
	  END DO
	  SYMCOM(PLT$W_ANGLE)=NINT(ANGLE)  ! Index=0
	  IF (X.EQ.999.0.OR.Y.EQ.999.0) THEN  ! Annotation is continued
					      ! from where it last stopped.
	    COMMAND(PLT$B_OPC)=COMMAND(PLT$B_OPC).OR.PLT$M_SYMBCONT
							! '80'X
	    SYMCOM(PLT$W_SYMBX)=0
	    SYMCOM(PLT$W_SYMBY)=0
	  ELSE
	    SYMCOM(PLT$W_SYMBX)=NINT(X*PLT$C_NIBS)  ! Index=1
	    SYMCOM(PLT$W_SYMBY)=NINT(Y*PLT$C_NIBS)  ! Index=2
	  END IF
	  CALL PLT_WRITE(COMMAND,SYMCOM,.TRUE.,TEXT,
	1 I2COM(PLT$W_NBYT),LUFILE)
C
C  Special SYMBOL call
C
	ELSE IF (NCHAR.LT.0) THEN
	  IF (NCHAR.EQ.-1) THEN
	    COMMAND(PLT$B_OPC)=PLT$OP_SYMBUP
	  ELSE
	    COMMAND(PLT$B_OPC)=PLT$OP_SYMBDOWN
	  END IF
	  I2COM(PLT$W_HEIGHT)=NINT(HEIGHT*PLT$C_NIBS)
	  I2COM(PLT$W_SYMBNO)=TEXT(1)
	  DO I=1,4
	    COMMAND(I)=BCOM(I)
	  END DO
	  SYMCOM(PLT$W_ANGLE)=NINT(ANGLE)
	  IF (X.EQ.999.0.OR.Y.EQ.999.0) THEN
	    COMMAND(PLT$B_OPC)=COMMAND(PLT$B_OPC).OR.PLT$M_SYMBCONT
	    SYMCOM(PLT$W_SYMBX)=0
	    SYMCOM(PLT$W_SYMBY)=0
	  ELSE
	    SYMCOM(PLT$W_SYMBX)=NINT(X*PLT$C_NIBS)
	    SYMCOM(PLT$W_SYMBY)=NINT(Y*PLT$C_NIBS)
	  END IF
	  CALL PLT_WRITE(COMMAND,SYMCOM,.TRUE.,0,0,LUFILE)
	END IF
	RETURN
	END
