	SUBROUTINE TEXTCNCH(TEXT,I2COM,I,NBS,ENGLISH,GREEK,NORMAL,
	1SUBSCRIPT,SUPERSCRIPT,SINA,COSA,DELX,DELY,SSF,DELXBS,
	2DELYBS)
C
C  Note:  This is the Unix version.
C
C       This subroutine helps the online plot routines by searching
C  through TEXT to find various control characters and interpret them.
C			Donald H. Gudehus, October, 1984
C			Version 1U, Donald H. Gudehus, December 2, 1999
C			Converted code to Unix.
C			Version 2, Donald H. Gudehus, March 1, 2000
C			Added control K as method of entering subscripts
C			and superscripts
C			Version 3, Donald H. Gudehus, February 15, 2005
C			Added control B as a substitute for control H
C			on Mac OS which can't accept control H.  Added
C			control L as a substitute for control I on Mac
C			OS which can't accept control L.
C
	BYTE TEXT(1)
	INTEGER*2 I2COM(0:1),NBS,DELX,DELY,DELXBS,DELYBS
	LOGICAL ENGLISH,GREEK,NORMAL,SUBSCRIPT,SUPERSCRIPT
	INCLUDE 'plotpar.for'
C
	DO WHILE (TEXT(I).EQ.'02'X.OR.TEXT(I).EQ.'08'X.OR.TEXT(I).EQ.'09'X.OR.
	1TEXT(I).EQ.'0A'X.OR.TEXT(I).EQ.'0B'X.OR.TEXT(I).EQ.'0C'X)
	  IF (TEXT(I).EQ.'02'X.OR.TEXT(I).EQ.'08'X) NBS=NBS+1
		!  Control B (on Mac) or Control H for backspace
	  IF (TEXT(I).EQ.'09'X.OR.TEXT(I).EQ.'0C'X) THEN
		!  Control I or tab or Control L (on Mac) for Greek
	    IF (ENGLISH) THEN
	      ENGLISH=.FALSE.
	      GREEK=.TRUE.
	    ELSE IF (.NOT.ENGLISH) THEN
	      ENGLISH=.TRUE.
	      GREEK=.FALSE.
	    END IF
C  Retain control J for compatibility with old method of entering subscripts
C  and superscripts.  New method is control K, which was necessitated by
C  the port to Unix which can't handle control J in USRINP.
	  ELSE IF (TEXT(I).EQ.'0A'X.OR.TEXT(I).EQ.'0B'X) THEN
		!  Control J or linefeed, or control K or vertical tab
C  Toggle through the 3 possibilities
	    IF (NORMAL) THEN
	      NORMAL=.FALSE.
	      SUBSCRIPT=.TRUE.
	    ELSE IF (SUBSCRIPT) THEN
	      SUBSCRIPT=.FALSE.
	      SUPERSCRIPT=.TRUE.
	    ELSE IF (SUPERSCRIPT) THEN
	      SUPERSCRIPT=.FALSE.
	      NORMAL=.TRUE.
	    END IF
	  END IF
	  I=I+1
	END DO
	IF (NORMAL) THEN
	  DELX=0
	  DELY=0
	  SSF=1.0
	ELSE IF (SUBSCRIPT) THEN
	  DELX=+2.0*SINA*I2COM(PLT$W_HEIGHT)*PLT$C_CHARSIZE
	  DELY=-2.0*COSA*I2COM(PLT$W_HEIGHT)*PLT$C_CHARSIZE
	  SSF=0.78
	ELSE IF (SUPERSCRIPT) THEN
	  DELX=-5.0*SINA*I2COM(PLT$W_HEIGHT)*PLT$C_CHARSIZE
	  DELY=+5.0*COSA*I2COM(PLT$W_HEIGHT)*PLT$C_CHARSIZE
	  SSF=0.78
	END IF
	DELXBS=-6*NBS*COSA*I2COM(PLT$W_HEIGHT)*PLT$C_CHARSIZE
	DELYBS=-6*NBS*SINA*I2COM(PLT$W_HEIGHT)*PLT$C_CHARSIZE
	DELX=DELX+DELXBS
	DELY=DELY+DELYBS
C
	RETURN
	END
