	SUBROUTINE WHERE (XNOW,YNOW,ICHAR)
C
C  Note:  This is the Unix version
C
C       This subroutine returns the X and Y coordinates of the
C  crosshair (graphics terminal) or the cursor (Ramtek, Grinnell, and
C  SAOimage) and the ASCII code of the key that was pressed on the keyboard.
C				Greg Quinn, June 1980
C			Version 2, Donald H. Gudehus, January, 1984
C			Added code for NDEV equals 4 and 8,
C			introduced plotting parameters, and deleted
C			call to TEKCON.
C			Version 3, Donald H. Gudehus, February, 1987
C			Added code for NDEV equals 101 and 201
C			Version 4, Donald H. Gudehus, November, 1988
C			Added code for NDEV equals 301
C			Version 5, Donald H. Gudehus, May, 1992
C			Added code for NDEV equals 401
C			Version 6, Donald H. Gudehus, October, 1992
C			Added code for NDEV equals 10001
C			Version 7, Donald H. Gudehus, October, 1994
C			Added code for SAOimage
C			Version 8, Donald H. Gudehus, January 22, 2000
C			Added code for xgterm
C			Version 8U, Donald H. Gudehus, January 22, 2000
C			Modified code for Unix
C			Version 9, D. Gudehus, July 25, 2006
C			Incorporated new saofacts.for
C
	INCLUDE 'plotpar.for'
C
	INTEGER*2 N,IXT,IYT
	LOGICAL PLOTDEVQUES
C
	COMMON /PLOT_CHAN/ NCHAN,NDEV
C
	INCLUDE 'saofacts.for'
C
	IF (NDEV.EQ.1.OR.NDEV.EQ.4.OR.NDEV.EQ.101.OR.NDEV.EQ.201.OR.
	1NDEV.EQ.301.OR.NDEV.EQ.401.OR.NDEV.EQ.10001.OR.NDEV
	2.EQ.20001) THEN
	  CALL CROSSHAIR(IX,IY,ICHAR)
	  XNOW=(1.0*IX+0.5)/(PLT$C_NIBS*PLT$C_TEKPIX)
	  YNOW=(1.0*IY+0.5)/(PLT$C_NIBS*PLT$C_TEKPIX)
	  IF (.NOT.PLOTDEVQUES('NOI',1)) THEN
	    READ (5,1000) INTERRUPT
1000	    FORMAT (I4)
	  END IF
	  RETURN
C
	ELSE IF (NDEV.EQ.2) THEN
	  ICHAR=0
	  RETURN
C
	ELSE IF (NDEV.EQ.3) THEN  ! Ramtek
	  READ (6,101) ICHAR
101	  FORMAT(A1)
c	  CALL RCS(0,IXADDR,IYADDR,VIS,BLINK,TRACK,ENTER,IERR)
	  XNOW=(IXADDR*7.5)/512
	  YNOW=((512-IYADDR)*7.5)/512
	  RETURN
	ELSE IF (ABS(NDEV).EQ.8) THEN  ! Grinnell
c	  CALL KEYBOARD(ICHAR)
	  N=3
c	  CALL GRINCURSF(N,IX,IY)
c	  CALL VWHERE(X,Y,FACTOR)
	  XNOW=FLOAT(IX)/(PLT$C_NIBS*PLT$C_GRINPIX*FACTOR)
	  YNOW=FLOAT(IY)/(PLT$C_NIBS*PLT$C_GRINPIX*FACTOR)
	ELSE IF (ABS(NDEV).EQ.12) THEN  ! Trapix
	ELSE IF (ABS(NDEV).EQ.13) THEN  ! SAOimage
	  CALL SAO_CURN(NPICN,IXT,IYT,XF,YF,XM,YM,ICHAR,.FALSE.)
	  IF (NPICN.EQ.0) NPICN=1  ! Try anyway
	  IX=XF+1.5-XLOC_SAO(NPICN)  ! XF for the first pixel will be 0.5;
				 ! since XLOC_SAO is 1, we must add 1.5
	  IY=YLOC_SAO(NPICN)-YF+2.5
	  CALL VWHERE(X,Y,FACTOR)
	  XNOW=FLOAT(IX)/(PLT$C_NIBS*PLT$C_SAOPIX*FACTOR)
	  YNOW=FLOAT(IY)/(PLT$C_NIBS*PLT$C_SAOPIX*FACTOR)
	END IF
	END
