	SUBROUTINE GET_OS_BYTES
C
C	This subroutine determines the numbers of bytes in the processor of
C  the current system.  If this number needs to be known in a program, e.g.
C  if DYNAMIC will be called, this subroutine should be called at the start.
C  Then any routines which need to know the number of bytes should 
C  incorporate the common block SYS_NUM_BYTES and check the variable 
C  SYSTEM_NUMBER_BYTES.
C				Donald H. Gudehus, September 1, 2013
C
	INTEGER SYSTEM_NUMBER_BYTES
	COMMON /SYS_NUM_BYTES/ SYSTEM_NUMBER_BYTES
C
	CALL GET_OS_BYTES_C(SYSTEM_NUMBER_BYTES)
C
	RETURN
	END
